
From: Marcel Holtmann <marcel@holtmann.org>

This patch adds the needed compat ioctl's for the CAPI on 64bit platforms.


---

 25-akpm/fs/compat_ioctl.c            |    4 +++-
 25-akpm/include/linux/compat_ioctl.h |   16 +++++++++++++++-
 2 files changed, 18 insertions(+), 2 deletions(-)

diff -puN fs/compat_ioctl.c~i4l-compat-ioctls fs/compat_ioctl.c
--- 25/fs/compat_ioctl.c~i4l-compat-ioctls	2004-04-19 23:43:38.910650528 -0700
+++ 25-akpm/fs/compat_ioctl.c	2004-04-19 23:43:38.916649616 -0700
@@ -70,8 +70,10 @@
 
 #include <net/sock.h>          /* siocdevprivate_ioctl */
 #include <net/bluetooth/bluetooth.h>
-#include <net/bluetooth/rfcomm.h>
 #include <net/bluetooth/hci.h>
+#include <net/bluetooth/rfcomm.h>
+
+#include <linux/capi.h>
 
 #include <scsi/scsi.h>
 /* Ugly hack. */
diff -puN include/linux/compat_ioctl.h~i4l-compat-ioctls include/linux/compat_ioctl.h
--- 25/include/linux/compat_ioctl.h~i4l-compat-ioctls	2004-04-19 23:43:38.911650376 -0700
+++ 25-akpm/include/linux/compat_ioctl.h	2004-04-19 23:43:38.917649464 -0700
@@ -597,7 +597,7 @@ COMPATIBLE_IOCTL(RNDGETPOOL)
 COMPATIBLE_IOCTL(RNDADDENTROPY)
 COMPATIBLE_IOCTL(RNDZAPENTCNT)
 COMPATIBLE_IOCTL(RNDCLEARPOOL)
-/* Bluetooth ioctls */
+/* Bluetooth */
 COMPATIBLE_IOCTL(HCIDEVUP)
 COMPATIBLE_IOCTL(HCIDEVDOWN)
 COMPATIBLE_IOCTL(HCIDEVRESET)
@@ -631,6 +631,20 @@ COMPATIBLE_IOCTL(CMTPCONNADD)
 COMPATIBLE_IOCTL(CMTPCONNDEL)
 COMPATIBLE_IOCTL(CMTPGETCONNLIST)
 COMPATIBLE_IOCTL(CMTPGETCONNINFO)
+/* CAPI */
+COMPATIBLE_IOCTL(CAPI_REGISTER)
+COMPATIBLE_IOCTL(CAPI_GET_MANUFACTURER)
+COMPATIBLE_IOCTL(CAPI_GET_VERSION)
+COMPATIBLE_IOCTL(CAPI_GET_SERIAL)
+COMPATIBLE_IOCTL(CAPI_GET_PROFILE)
+COMPATIBLE_IOCTL(CAPI_MANUFACTURER_CMD)
+COMPATIBLE_IOCTL(CAPI_GET_ERRCODE)
+COMPATIBLE_IOCTL(CAPI_INSTALLED)
+COMPATIBLE_IOCTL(CAPI_GET_FLAGS)
+COMPATIBLE_IOCTL(CAPI_SET_FLAGS)
+COMPATIBLE_IOCTL(CAPI_CLR_FLAGS)
+COMPATIBLE_IOCTL(CAPI_NCCI_OPENCOUNT)
+COMPATIBLE_IOCTL(CAPI_NCCI_GETUNIT)
 /* Misc. */
 COMPATIBLE_IOCTL(0x41545900)		/* ATYIO_CLKR */
 COMPATIBLE_IOCTL(0x41545901)		/* ATYIO_CLKW */

_
